﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define b = Character("Blue")
define me = Character("Me")
image bgledge = im.Scale("bg ledge.jpg", 1280, 720)
image bgwindows = im.Scale("bg windows.jpg", 1280, 720)
image bgumbrellas = im.Scale("bg umbrellas.jpg", 1280, 720)
image bgbarbwirefence = im.Scale("bg barbwire fence.jpg", 1280, 720)
image bgbluewall = im.Scale("bg blue wall.jpg", 1280, 720)
image bgyellowcab = im.Scale("bg yellow cab.jpg", 1280, 720)

image blue sleeping:
    "bluet sleeping.png"
    zoom .5
    yalign .5
    xalign 1.0

image blue normal:
    "bluet normal.png"
    zoom .5
    yalign .5
    xalign 1.0

image blue flying:
    "bluet flying.png"
    zoom .5
    yalign .5
    xalign 1.0

# The game starts here.

init:
    $ avoid = 0
    $ solve = 0
    $ commiserate = 0

label start:

    # Show a background. This uses a placeholder by default, but you can
    # add a file (named either "bg room.png" or "bg room.jpg") to the
    # images directory to show it.
    play music "toys.mp3"
    scene bgledge

    show blue normal
    b "Hi! I'm home from work!"

    show blue sleeping
    b "Oomph, I'm exhausted."

menu:
    "You've had a long day. How was work?":
        show blue flying
        $ commiserate = commiserate + 1
        jump two

    "You're in luck! I bought you your favorite beer.":
        $ avoid = avoid + 1
        jump exit_beer

label exit_beer:
    play music "feeling good.mp3"
    scene bgledge
    show blue sleeping
    with Dissolve(1.0)
    b "Thank you. A cold beer is just what I needed!"
    jump finish

label two:
    scene bgledge
    show blue sleeping
    with Dissolve(1.0)

    b "Work was tough. My boss really pushed my limits today."
    b "Today was my turn to guard the window sills."

    scene bgwindows
    show blue normal
    with dissolve
    b "I think I did an excellent job on my watch."
    b "Not a single pigeon was able to perch on the windowsill this morning!"

    scene bgyellowcab
    show blue flying
    with dissolve
    b "Feeling good about my morning efforts, I started lunch 10 minutes early. Totally normal."

    show blue normal
    with dissolve
    b "It just so happens my boss was looking for me at the beginning of my lunch break."
    b "And when he didn't find me he got so mad!"

    scene bgledge
    show blue sleeping
    with dissolve
    b "Now he wants me to work this weekend..."

menu:
    "How unfair! You can't be expected to read his mind!":
        $ commiserate = commiserate + 1
        jump three
    "Can he do that?! Can't you reach out to HR?":
        $ solve = solve + 1
        jump exit_solve
    "Did I tell you I bought you your favorite beer?":
        $ avoid = avoid + 1
        jump exit_beer

label exit_solve:
    play music "meat grinder.mp3"
    scene bgledge
    show blue sleeping
    with Dissolve(1.0)
    b "Hmm... I think it will just make things worse."
    jump finish

label three:
    play music "gone fishing.mp3"
    scene bgledge
    show blue flying
    with Dissolve(1.0)
    b "I know right!"
    b "Thanks for listening. I really just needed to vent."
    jump finish

label finish:
    show bgbluewall
    "THAT'S ALL I GOT... UNTZ UNTZ; BEEP BOOP; GOODBYE"

    return
